<template>
    <div class="one-block" :class="classList">
        <div class="icon-box">
            <img :src="getImgUrl()" :alt="id">
        </div>
        <div class="before-title">{{id}}</div>
        <div class="title">{{title}}</div>
        <div class="description">{{description}}</div>
    </div>
</template>

<script>
    export default {
        name: "AppOneBlock",
        props: {
            section: {
                type: String,
                required: true
            },
            id: {
                type: String,
                required: true
            },
            title: {
                type: String,
                required: true
            },
            description: {
                type: String,
                required: true
            },
            classList: {
                type: String
            },
        },
        methods: {
            getImgUrl: function () {
                return require(`../assets/img/icons/${this.section}/${this.id}.svg`)
            }
        }
    }
</script>

<style scoped lang="scss">
    .one-block {
        &.center {
            .icon-box{
                justify-content: center;
            }
            .before-title, .title, .description {
                text-align: center;
            }
        }
        .icon-box {
            display: flex;
            justify-content: left;

            img {
                display: block;
            }
        }

        .before-title {
            color: #0f0f0f;
            font-family: $secondFont, sans-serif;
            font-size: 11px;
            font-weight: 400;
            letter-spacing: 3.9px;
            text-transform: uppercase;
            text-align: left;
            margin-top: 16px;
        }

        .title {
            color: #0f0f0f;
            font-family: $mainFont, sans-serif;
            font-size: 20px;
            font-weight: 700;
            letter-spacing: 0.89px;
            text-align: left;
        }

        .description {
            color: #4d4d65;
            font-family: $mainFont, sans-serif;
            font-size: 14px;
            font-weight: 700;
            letter-spacing: 0.6px;
            line-height: 23px;
            margin-top: 24px;
        }
    }
</style>
